<?php

namespace App\Modules\Booking\Domain;

use DateTime;

class BookingDate
{

    private DateTime $value;

    public function __construct(DateTime $value)
    {
        $this->value = $value;
    }

    public function getValue()
    {
        return $this->value;
    }

    public function value()
    {
        return $this->value->format('Y-m-d H:i:s');
    }
}
